/*
    Se van a crear todos los estilos generales del proyecto.
    Unicamente se van a compilar dentro del main.css.
*/



/*------------------------------------*\
    #Estilos-general
\*------------------------------------*/

html {
    /*
        AL cambiar este tamaño de letra, se ajustan las
        dimensiones de todo el proyecto
    */
    color: var(--black);
    font-family: var(--font-text);
    font-size: var(--txt-4);
    line-height: var(--spaced-text);
    box-sizing: border-box;
}


* {
    box-sizing: border-box;
    outline: none;
    @include highlight-color;

    &::before,
    &::after {box-sizing: border-box;}
}


body {
    width: 100%;
    margin: 0;
}


main {display: block;}


figure {margin: 0;}


h1, h2, h3, h4, h5, h6 {
    margin-right: 0;
    margin-left: 0;
    font-family: var(--font-title);
}


p {margin: 0;}


ul, ol {
    padding: 0;
    margin: 0;
    list-style: none;
}


a {
    display: inline-block;
    text-decoration: none;
}


label {
    display: inline-block;
    font-size: var(--txt-4);
}


// Evita que aparezca la fecha por defecto del navegador
select {appearance: none;}


textarea {resize: none;}


button {
    padding: 0;
    border: 1px solid transparent;
    background: transparent;
}


fieldset {
    padding: 0;
    margin: 0;
    border: 0;
}


legend {
    width: 100%;
    padding: 0;
    font-size: var(--txt-4);
}
